#### D.5.4.16 degreeFormalDivisor

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  degreeFormalDivisor(A); A = formaldivisor.

Assume:
  A is a formaldivisor on X.

Return:
  The degree of A.

Theory:
  We compute degrees of the summands and return the weighted sum.

Example:

    LIB "divisors.lib";
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor A = makeDivisor(ideal(x,z),ideal(1));
    divisor B = makeDivisor(ideal(x,y),ideal(1));
    formaldivisor fE= makeFormalDivisor(list(list(-5,A),list(2,B)));
    degreeFormalDivisor(fE);
    ==> -3

User manual for Singular version 4.4.1, 2025, generated by texi2html.